Summary: MIRACLE LINUX Package Updater.
Name: mlupd
Version: 1.0.0
Release: 2ml
URL: http://www.miraclelinux.com/
Source0: %{name}.tar.gz
License: GPL
Group: System/Administration
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: mlupdbody
Requires: miraclelinux-release,gnupg

%description
MIRACLE LINUX License Package Updater.

%package unstrip
Summary: MIRACLE LINUX license password generator and verifier.
Group: System/Administration

%description unstrip
MIRACLE LINUX License Package Updater.

%prep
%setup -n %{name}
autoheader
autoconf
./configure \
	--prefix=/usr \
	--sysconfdir=/etc/mlupdater \
	--localstatedir=/var \
	--datadir=/usr/share/mlupd

%build
make depend
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
[ ! -d $RPM_BUILD_ROOT/etc/mlupdater ] && mkdir -p $RPM_BUILD_ROOT/etc/mlupdater
cp /etc/mlupdbody/mlupdater.conf $RPM_BUILD_ROOT/etc/mlupdater
[ ! -d $RPM_BUILD_ROOT/var/mlupdater/.gpg ] && mkdir -p $RPM_BUILD_ROOT/var/mlupdater/.gpg

%post
if [ ! -e /var/mlupdater/.gpg/secring.gpg ] ; then
    GNUPGHOME=/var/mlupdater/.gpg gpg --import /usr/share/miraclelinux-release/miraclelinux-support.asc
else
    exit 0
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0755,root,root)
/usr/sbin/mlupdater
/usr/sbin/mlupdaterd
%dir /etc/mlupdater
%attr(0600,root,root) %config(noreplace) /etc/mlupdater/*.conf
%attr(0755,root,root) %dir /var/mlupdater
%attr(0700,root,root) %dir /var/mlupdater/.gpg
%attr(0755,root,root) %dir /usr/share/doc/%{name}-%{version}
%attr(0755,root,root) %dir /usr/share/doc/%{name}-%{version}/mlupdater
%attr(0444,root,root) %doc /usr/share/doc/%{name}-%{version}/mlupdater/*.html
%attr(0755,root,root) %dir /usr/share/doc/%{name}-%{version}/mlupdater/images
%attr(0444,root,root) %doc /usr/share/doc/%{name}-%{version}/mlupdater/images/*.jpg
%attr(0444,root,root) %doc /usr/share/doc/%{name}-%{version}/mlupdater/images/*.gif

%files unstrip
%defattr(0700,root,root)
/usr/sbin/mlupdater.unstrip
/usr/sbin/mlupdaterd.unstrip

%changelog
* Fri Sep  3 2004 MORIYAMA, Masayuki <moriyama@miraclelinux.com> 1.0.0-2ml
- A kernel is addition-installed with mlupdater.
- The kernel package installed is not displayed.
- Fix bug which a package does not download with mlupdaterd.
- Fix bug by which a dependency is not solved correctly with mlupdater.

* Thu Aug 26 2004 MORIYAMA, Masayuki <moriyama@miraclelinux.com>
- Version 1.0.0

* Wed Aug 25 2004 MORIYAMA, Masayuki <moriyama@miraclelinux.com>
- Fix bug of the compression option of a rotate log.
- The number of files of rotate log is corrected.
- Fix bug by which a license is not released at the time of the end of
  mlupdaterd.
- It changes so that retry of download by mlupdaterd may be restricted
  to 10 times.
- Change of the permission of the picture preservation directory of
  a mlupdater manual.
- Updated a manual.

* Fri Aug 13 2004 MORIYAMA, Masayuki <moriyama@miraclelinux.com>
- Fix Log Rotation Problems
- Fix Error processing fault at the time of a regular expression
  description mistake
- Fix Error of an error line number
- Fix imperfect log output

* Wed Jun 23 2004 Jun YOSHIDA <jun@miraclelinux.com>
- fixed a bug causes SEGV when a host has only lo interface.

* Wed Jun 16 2004 Jun YOSHIDA <jun@miraclelinux.com>
- fixed a bug in the package counting routine.

* Wed Oct 7 2003 Jun YOSHIDA <jun@miraclelinux.com>
- Initial build.
